Skip to content

Deprecated. Get a list of location positions
deprecated

Request

This endpoint is deprecated. Use GET /v2/companies/{company_id}/positions instead.

The method allows you to get a list of current positions in the location.

Migration: The V2 Positions API provides enhanced functionality with full CRUD operations, pagination, and JSON:API format responses. See operation list_positions for details.

Security
BearerPartnerUser
Path
location_idnumberrequired

location ID

Headers
Acceptstringrequired

e.g. application/vnd.api.v2+json

Example:application/vnd.api.v2+json
curl -i -X GET \
  'https://developer.alteg.io/_mock/en/b2b-v1/openapi/locations/{location_id}/team_members/positions' \
  -H 'Accept: application/vnd.api.v2+json' \
  -H 'Authorization: Bearer <YOUR_Bearer {PartnerToken}, User {UserToken}_HERE>'

Responses

List of location positions

Headers
Deprecationstring

RFC 9745 deprecation date as a Unix timestamp: @1782864000 is 2026-07-01T00:00:00Z.

Example:"@1782864000"
Sunsetstring

RFC 8594 date after which the deprecated operation may stop working.

Example:"Mon, 01 Mar 2027 00:00:00 GMT"
Bodyapplication/json
dataArray of any(staff_position)required

Array of objects with data

metaArray of objectsrequired

Metadata (contains the number of posts found)

successbooleanrequired

Execution success status (true)

Response
{ "data": [ { … } ], "meta": [ {} ], "success": true }